<?php
/**
 *  Install Add-ons
 *  
 *  The following code will include all 4 premium Add-Ons in your theme.
 *  Please do not attempt to include a file which does not exist. This will produce an error.
 *  
 *  The following code assumes you have a folder 'add-ons' inside your theme.
 *
 *  IMPORTANT
 *  Add-ons may be included in a premium theme/plugin as outlined in the terms and conditions.
 *  For more information, please read:
 *  - http://www.advancedcustomfields.com/terms-conditions/
 *  - http://www.advancedcustomfields.com/resources/getting-started/including-lite-mode-in-a-plugin-theme/
 */ 

// Add-ons 
// include_once('add-ons/acf-repeater/acf-repeater.php');
// include_once('add-ons/acf-gallery/acf-gallery.php');
// include_once('add-ons/acf-flexible-content/acf-flexible-content.php');
// include_once( 'add-ons/acf-options-page/acf-options-page.php' );


/**
 *  Register Field Groups
 *
 *  The register_field_group function accepts 1 array which holds the relevant data to register a field group
 *  You may edit the array as you see fit. However, this may result in errors if the array is not compatible with ACF
 */

if(function_exists("register_field_group"))
{
	register_field_group(array (
		'id' => 'acf_booklet-menu-information',
		'title' => 'Booklet Menu Information',
		'fields' => array (
			array (
				'key' => 'field_51e64721132d3',
				'label' => 'Front Page',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_51e6436f73576',
				'label' => 'Menu Title',
				'name' => 'menu_title',
				'type' => 'text',
				'instructions' => 'The title that appears below the main image.',
				'default_value' => '',
				'formatting' => 'html',
				'maxlength' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
			),
			array (
				'key' => 'field_51e643b873578',
				'label' => 'Menu Subtitle',
				'name' => 'menu_subtitle',
				'type' => 'text',
				'instructions' => 'The text that appears below the main menu title.',
				'default_value' => '',
				'formatting' => 'html',
				'maxlength' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
			),
			array (
				'key' => 'field_51e6438273577',
				'label' => 'Menu Booklet Image',
				'name' => 'menu_booklet_image',
				'type' => 'image',
				'instructions' => 'The main image for this menu booklet that appears on the front page.',
				'save_format' => 'object',
				'preview_size' => 'thumbnail',
				'library' => 'all',
			),
			array (
				'key' => 'field_51e643d473579',
				'label' => 'Menu Main Page Content',
				'name' => 'menu_main_page_content',
				'type' => 'textarea',
				'instructions' => 'The content that appears on the main page of the booklet. This is a good place to place the address and phone number.',
				'default_value' => '',
				'formatting' => 'html',
				'maxlength' => '',
				'placeholder' => '',
			),
			array (
				'key' => 'field_51e6472c132d4',
				'label' => 'Inside Left Page',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_51e64736132d5',
				'label' => 'Menu Items',
				'name' => 'menu_items',
				'type' => 'repeater',
				'instructions' => 'Add menu items to this page.',
				'sub_fields' => array (
					array (
						'key' => 'field_51e6476b132d6',
						'label' => 'Menu Section Heading',
						'name' => 'menu_section_heading',
						'type' => 'text',
						'instructions' => 'The section heading for these menu items.',
						'column_width' => '',
						'default_value' => '',
						'formatting' => 'html',
						'maxlength' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
					),
					array (
						'key' => 'field_51e64793132d7',
						'label' => 'Menu Section Items',
						'name' => 'menu_section_items',
						'type' => 'relationship',
						'column_width' => '',
						'post_type' => array (
							0 => 'menu',
						),
						'taxonomy' => array (
							0 => 'all',
						),
						'filters' => array (
							0 => 'search',
						),
						'result_elements' => array (
							0 => 'post_title',
						),
						'max' => '',
						'return_format' => 'object',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add Menu Section',
			),
			array (
				'key' => 'field_51e78be04ebc7',
				'label' => 'Inside Middle Page',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_51e78bd04ebc4',
				'label' => 'Menu Items',
				'name' => 'menu_items_center',
				'type' => 'repeater',
				'instructions' => 'Add menu items to this page.',
				'sub_fields' => array (
					array (
						'key' => 'field_51e78bd04ebc5',
						'label' => 'Menu Section Heading',
						'name' => 'menu_section_heading',
						'type' => 'text',
						'instructions' => 'The section heading for these menu items.',
						'column_width' => '',
						'default_value' => '',
						'formatting' => 'html',
						'maxlength' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
					),
					array (
						'key' => 'field_51e78bd04ebc6',
						'label' => 'Menu Section Items',
						'name' => 'menu_section_items',
						'type' => 'relationship',
						'column_width' => '',
						'post_type' => array (
							0 => 'menu',
						),
						'taxonomy' => array (
							0 => 'all',
						),
						'filters' => array (
							0 => 'search',
						),
						'result_elements' => array (
							0 => 'post_title',
						),
						'max' => '',
						'return_format' => 'object',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add Menu Section',
			),
			array (
				'key' => 'field_51e78bf94ebcb',
				'label' => 'Inside Right Page',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_51e78bed4ebc8',
				'label' => 'Menu Items',
				'name' => 'menu_items_right',
				'type' => 'repeater',
				'instructions' => 'Add menu items to this page.',
				'sub_fields' => array (
					array (
						'key' => 'field_51e78bed4ebc9',
						'label' => 'Menu Section Heading',
						'name' => 'menu_section_heading',
						'type' => 'text',
						'instructions' => 'The section heading for these menu items.',
						'column_width' => '',
						'default_value' => '',
						'formatting' => 'html',
						'maxlength' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
					),
					array (
						'key' => 'field_51e78bed4ebca',
						'label' => 'Menu Section Items',
						'name' => 'menu_section_items',
						'type' => 'relationship',
						'column_width' => '',
						'post_type' => array (
							0 => 'menu',
						),
						'taxonomy' => array (
							0 => 'all',
						),
						'filters' => array (
							0 => 'search',
						),
						'result_elements' => array (
							0 => 'post_title',
						),
						'max' => '',
						'return_format' => 'object',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add Menu Section',
			),
			array (
				'key' => 'field_51e788b6b6ab9',
				'label' => 'Options',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_51e788c4b6aba',
				'label' => 'Menu Color',
				'name' => 'menu_color',
				'type' => 'color_picker',
				'instructions' => 'Select a color for this booklet theme.',
				'default_value' => '#e6b741',
			),
			array (
				'key' => 'field_51e78c74ebab8',
				'label' => 'Display Prices?',
				'name' => 'display_prices',
				'type' => 'radio',
				'instructions' => 'Would you like to display prices on this menu?',
				'choices' => array (
					'Yes' => 'Yes',
					'No' => 'No',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'No',
				'layout' => 'vertical',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-menu-booklet.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
				0 => 'the_content',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_delicias-tutorials-and-support',
		'title' => 'Delicias Tutorials and Support',
		'fields' => array (
			array (
				'key' => 'field_52019ca4a0d06',
				'label' => '',
				'name' => '',
				'type' => 'message',
				'message' => '<h4>Theme Documentation</h4>
	
	 Theme documentation can be found in your download package. Delicias video tutorials can also be viewed <a href="http://www.youtube.com/playlist?list=PLOPUp5KZskIxLOoX32u0E0DDuGEE1AWn8">on YouTube</a>.
	
	Did you know child theming is possible with Delicias? The theme is completely flexible. 
	
	<h4>Delicias Support</h4>
	
	We do our best to provide the best support possible. Please use the <a href="http://wordimpress.com/support/">support forum</a> located on the WordImpress website.',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'options_page',
					'operator' => '==',
					'value' => 'acf-options',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'side',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_gallery-information-2',
		'title' => 'Gallery Information',
		'fields' => array (
			array (
				'key' => 'field_51e89778469ec',
				'label' => 'Gallery Images',
				'name' => 'gallery_images',
				'type' => 'gallery',
				'instructions' => 'Upload or select images for this gallery.',
				'required' => 1,
				'preview_size' => 'thumbnail',
				'library' => 'all',
			),
			array (
				'key' => 'field_51e8b206c7339',
				'label' => 'Content',
				'name' => 'content',
				'type' => 'wysiwyg',
				'default_value' => '',
				'toolbar' => 'full',
				'media_upload' => 'yes',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
					'order_no' => 0,
					'group_no' => 0,
				),
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'gallery',
					'order_no' => 1,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
				0 => 'the_content',
				1 => 'custom_fields',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_menu-item-information',
		'title' => 'Menu Item Information',
		'fields' => array (
			array (
				'key' => 'field_51d2e20b94284',
				'label' => 'Item Image',
				'name' => 'item_image',
				'type' => 'image',
				'instructions' => 'Upload or select and image for this menu item.',
				'save_format' => 'object',
				'preview_size' => 'thumbnail',
				'library' => 'all',
			),
			array (
				'key' => 'field_51d2e25cbd91c',
				'label' => 'Item Description',
				'name' => 'item_description',
				'type' => 'textarea',
				'instructions' => 'A brief excerpt about this menu item displayed below the title.',
				'default_value' => '',
				'formatting' => 'html',
				'maxlength' => '',
				'placeholder' => '',
			),
			array (
				'key' => 'field_51d2e287bd91d',
				'label' => 'Item Price',
				'name' => 'item_price',
				'type' => 'text',
				'instructions' => 'Enter the price for this menu item if you wish (optional).',
				'default_value' => '',
				'formatting' => 'html',
				'maxlength' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
			),
			array (
				'key' => 'field_51ee31a28fc29',
				'label' => 'Hidden Style',
				'name' => '',
				'type' => 'message',
				'message' => '<style>#titlediv #titlewrap + .inside { display:none; }</style>',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'menu',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
				0 => 'the_content',
				1 => 'excerpt',
				2 => 'slug',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_page-flip-menu-information',
		'title' => 'Page Flip Menu Information',
		'fields' => array (
			array (
				'key' => 'field_51e868b93078b',
				'label' => 'Menu Pages',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_51d304cb5586f',
				'label' => 'Menu Pages',
				'name' => 'menu_pages',
				'type' => 'repeater',
				'sub_fields' => array (
					array (
						'key' => 'field_51d321464fa47',
						'label' => 'Menu Column 1 Heading',
						'name' => 'menu_column_1_heading',
						'type' => 'text',
						'instructions' => 'The heading for column 1 of this page.',
						'column_width' => '',
						'default_value' => '',
						'formatting' => 'html',
						'maxlength' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
					),
					array (
						'key' => 'field_51d31eaa1a818',
						'label' => 'Menu Items Column 1',
						'name' => 'menu_items_column_1',
						'type' => 'relationship',
						'column_width' => '',
						'post_type' => array (
							0 => 'menu',
						),
						'taxonomy' => array (
							0 => 'all',
						),
						'filters' => array (
							0 => 'search',
						),
						'result_elements' => array (
							0 => 'post_title',
						),
						'max' => '',
						'return_format' => 'object',
					),
					array (
						'key' => 'field_51d3216e4fa48',
						'label' => 'Menu Column 2 Heading',
						'name' => 'menu_column_2_heading',
						'type' => 'text',
						'instructions' => 'The heading for column 1 of this page. Leave blank do have a full page menu page.',
						'column_width' => '',
						'default_value' => '',
						'formatting' => 'html',
						'maxlength' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
					),
					array (
						'key' => 'field_51d31ec61a819',
						'label' => 'Menu Items Column 2',
						'name' => 'menu_items_column_2',
						'type' => 'relationship',
						'column_width' => '',
						'post_type' => array (
							0 => 'menu',
						),
						'taxonomy' => array (
							0 => 'all',
						),
						'filters' => array (
							0 => 'search',
						),
						'result_elements' => array (
							0 => 'post_title',
						),
						'max' => '',
						'return_format' => 'object',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add Page',
			),
			array (
				'key' => 'field_51e868c33078c',
				'label' => 'Options',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_51d2f0022f8af',
				'label' => 'Display Price?',
				'name' => 'display_prices',
				'type' => 'radio',
				'instructions' => 'Select whether you would like to display menu item prices.',
				'choices' => array (
					'Yes' => 'Yes',
					'No' => 'No',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'Yes',
				'layout' => 'vertical',
			),
			array (
				'key' => 'field_51d2f02e2f8b0',
				'label' => 'Display Images?',
				'name' => 'display_image',
				'type' => 'radio',
				'instructions' => 'Select whether you would like to display menu item images for this menu page.',
				'choices' => array (
					'Yes' => 'Yes',
					'No' => 'No',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'Yes',
				'layout' => 'vertical',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-menu-pages.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
				0 => 'the_content',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_quote-information',
		'title' => 'Quote Information',
		'fields' => array (
			array (
				'key' => 'field_51e8a86b80bc4',
				'label' => 'Quotation',
				'name' => 'quotation',
				'type' => 'textarea',
				'instructions' => 'Enter a quotation in the textarea below.',
				'default_value' => '',
				'formatting' => 'html',
				'maxlength' => '',
				'placeholder' => '',
			),
			array (
				'key' => 'field_51e8a8a080bc5',
				'label' => 'Atribution',
				'name' => 'atribution',
				'type' => 'text',
				'instructions' => 'Who said it?',
				'default_value' => '',
				'formatting' => 'html',
				'maxlength' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
			),
			array (
				'key' => 'field_51e8af781ccc9',
				'label' => 'Content',
				'name' => 'content',
				'type' => 'wysiwyg',
				'default_value' => '',
				'toolbar' => 'full',
				'media_upload' => 'yes',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
					'order_no' => 0,
					'group_no' => 0,
				),
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'quote',
					'order_no' => 1,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
				0 => 'the_content',
				1 => 'custom_fields',
				2 => 'featured_image',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_staff-member-information',
		'title' => 'Staff Member Information',
		'fields' => array (
			array (
				'key' => 'field_51e0acc61b192',
				'label' => 'Staff Image',
				'name' => '_thumbnail_id',
				'type' => 'image',
				'instructions' => 'Upload or select an image for this staff member',
				'save_format' => 'object',
				'preview_size' => 'medium',
				'library' => 'all',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'staff',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_testimonial-information',
		'title' => 'Testimonial Information',
		'fields' => array (
			array (
				'key' => 'field_51e1b4884c03d',
				'label' => 'Image',
				'name' => '_thumbnail_id',
				'type' => 'image',
				'save_format' => 'object',
				'preview_size' => 'medium',
				'library' => 'all',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'testimonials',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
				0 => 'the_content',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_theme-options',
		'title' => 'Theme Options',
		'fields' => array (
			array (
				'key' => 'field_51b6d17369f94',
				'label' => 'Appearance',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_51b6d18269f95',
				'label' => 'Logo Display',
				'name' => 'logo_display',
				'type' => 'radio',
				'required' => 1,
				'choices' => array (
					'Text Logo' => 'Text Logo',
					'Logo Image' => 'Logo Image',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'Text Logo',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_51b6d1b869f96',
				'label' => 'Logo Text',
				'name' => 'logo_text',
				'type' => 'text',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51b6d18269f95',
							'operator' => '==',
							'value' => 'Text Logo',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => 'Delicias',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_51b6d25745781',
				'label' => 'Logo Image',
				'name' => 'logo_image',
				'type' => 'image',
				'instructions' => 'Upload an image for your logo. Please note: the image you upload should fit within the constraints of the header height.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51b6d18269f95',
							'operator' => '==',
							'value' => 'Logo Image',
						),
					),
					'allorany' => 'all',
				),
				'save_format' => 'object',
				'preview_size' => 'full',
				'library' => 'all',
			),
			array (
				'key' => 'field_51b6d2ce2c717',
				'label' => 'Site Favicon',
				'name' => 'site_favicon',
				'type' => 'image',
				'instructions' => 'Upload a .ico or .png file for your site\'s favicon. This really can add the finishing touch to your site. The image should be no large than 32x32.',
				'save_format' => 'url',
				'preview_size' => 'full',
				'library' => 'all',
			),
			array (
				'key' => 'field_51b818f66b316',
				'label' => 'Site Color Scheme',
				'name' => 'site_color_scheme',
				'type' => 'color_picker',
				'instructions' => 'Select a color to match the theme\'s colors to your brand. The default theme color is #e84632',
				'default_value' => '#e84632',
			),
			array (
				'key' => 'field_51c93494f415f',
				'label' => 'Header',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_51d2494fe9c1a',
				'label' => 'Default Page Header',
				'name' => 'default_page_header',
				'type' => 'radio',
				'instructions' => 'The interior page header (main h1 tag) can either have an image or color background as the default appearance. You can customize this on a per-page basis; if not customized the theme will default to these settings.',
				'required' => 1,
				'choices' => array (
					'Image' => 'Image',
					'Color' => 'Color',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => '',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_51d249939040b',
				'label' => 'Default Page Header Image',
				'name' => 'default_page_header_image',
				'type' => 'image',
				'instructions' => 'Upload or select and image from the Media Library as the theme\'s default page header image.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51d2494fe9c1a',
							'operator' => '==',
							'value' => 'Image',
						),
					),
					'allorany' => 'all',
				),
				'save_format' => 'url',
				'preview_size' => 'large',
				'library' => 'all',
			),
			array (
				'key' => 'field_51d249b29040c',
				'label' => 'Default Page Header Color',
				'name' => 'default_page_header_color',
				'type' => 'color_picker',
				'instructions' => 'Select the color to display as the default background color for interior pages.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51d2494fe9c1a',
							'operator' => '==',
							'value' => 'Color',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
			),
			array (
				'key' => 'field_521bb69d9a852',
				'label' => 'Header Text Background',
				'name' => 'display_heading_background',
				'type' => 'radio',
				'instructions' => 'Display Background behind header text? If you are using an image or color that makes it difficult to read the page header text then it is useful to display a background behind the text.',
				'choices' => array (
					'Yes' => 'Yes',
					'No' => 'No',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'No',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_520327e02ddcb',
				'label' => 'Enable Slide Down',
				'name' => 'enable_slide_down',
				'type' => 'radio',
				'instructions' => 'Display the slide down information widget? If yes, the widgets zone will be enabled (Appearances > Widgets).',
				'required' => 1,
				'choices' => array (
					'Yes' => 'Yes',
					'No' => 'No',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'Yes',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_5203281d2ddcc',
				'label' => 'Slide Down Button Text',
				'name' => 'slide_button_text',
				'type' => 'text',
				'instructions' => 'The text that displays in the slide down toggle.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_520327e02ddcb',
							'operator' => '==',
							'value' => 'Yes',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => 'Directions + Reservations',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_51c9358a1644b',
				'label' => 'Display Phone',
				'name' => 'display_phone',
				'type' => 'radio',
				'instructions' => 'Display the phone number in the header? Please make sure you have enough room for it!',
				'required' => 1,
				'choices' => array (
					'Yes' => 'Yes',
					'No' => 'No',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'Yes',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_51c933644cf13',
				'label' => 'Phone Number',
				'name' => 'phone_number',
				'type' => 'text',
				'instructions' => 'Enter your business\' main phone number.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51c9358a1644b',
							'operator' => '==',
							'value' => 'Yes',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '555-555-1684',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_51b6d1d069f97',
				'label' => 'Display Tagline',
				'name' => 'display_tagline',
				'type' => 'radio',
				'instructions' => 'Select whether you would like to display your site\'s tagline (Settings > General) next to the text logo.',
				'choices' => array (
					'Yes' => 'Yes',
					'No' => 'No',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => '',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_51b8282883a03',
				'label' => 'Tagline',
				'name' => 'tagline',
				'type' => 'text',
				'instructions' => 'This is the site tagline that will display next to your logo. It should only be a few words.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51b6d1d069f97',
							'operator' => '==',
							'value' => 'Yes',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_51cdc01c32286',
				'label' => 'Social Media',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_51cdc02832287',
				'label' => 'Message',
				'name' => '',
				'type' => 'message',
				'message' => 'Please select which social media items you would like to display in the site footer. Social icons use web fonts for high definition	and retina displays.',
			),
			array (
				'key' => 'field_51cf53d1ef4b7',
				'label' => 'Social Media Header',
				'name' => 'social_media_header',
				'type' => 'repeater',
				'instructions' => 'The most complete social icon font set ever. Choose your social networks, add the link and order as your please! These icons will display <strong>in the header</strong>',
				'sub_fields' => array (
					array (
						'key' => 'field_51cf53dfef4b8',
						'label' => 'Social Network',
						'name' => 'social_network',
						'type' => 'select',
						'column_width' => '',
						'choices' => array (
							'Select...' => 'Select...',
							'px' => '500px',
							'aim' => 'aim',
							'amazon' => 'amazon',
							'android' => 'android',
							'app stote' => 'app stote',
							'apple' => 'apple',
							'arto' => 'arto',
							'badoo' => 'badoo',
							'bandcamp' => 'bandcamp',
							'basecamp' => 'basecamp',
							'bebo' => 'bebo',
							'behance' => 'behance',
							'bing' => 'bing',
							'blip' => 'blip',
							'blogger' => 'blogger',
							'boxnet' => 'boxnet',
							'brightkite' => 'brightkite',
							'cinch' => 'cinch',
							'coroflot' => 'coroflot',
							'dailybooth' => 'dailybooth',
							'dailyburn' => 'dailyburn',
							'dailymile' => 'dailymile',
							'delicious' => 'delicious',
							'designbump' => 'designbump',
							'designfloat' => 'designfloat',
							'designmoo' => 'designmoo',
							'deviantart' => 'deviantart',
							'digg' => 'digg',
							'diigo' => 'diigo',
							'dribbble' => 'dribbble',
							'dropbox' => 'dropbox',
							'drupal' => 'drupal',
							'dzone' => 'dzone',
							'ebay' => 'ebay',
							'ember' => 'ember',
							'envato' => 'envato',
							'etsy' => 'etsy',
							'evernote' => 'evernote',
							'facebook places' => 'facebook places',
							'facebook' => 'facebook',
							'facto.me' => 'facto.me',
							'feedburner' => 'feedburner',
							'flickr' => 'flickr',
							'folkd' => 'folkd',
							'formspring' => 'formspring',
							'forrst' => 'forrst',
							'fotolog' => 'fotolog',
							'foursquare' => 'foursquare',
							'freshbooks' => 'freshbooks',
							'friendfeed' => 'friendfeed',
							'friendster' => 'friendster',
							'gdgt' => 'gdgt',
							'gimmebar' => 'gimmebar',
							'github' => 'github',
							'goodreads' => 'goodreads',
							'google buzz' => 'google buzz',
							'google talk' => 'google talk',
							'google' => 'google',
							'googleplay' => 'googleplay',
							'googleplus' => 'googleplus',
							'gowalla' => 'gowalla',
							'grooveshark' => 'grooveshark',
							'hackernews' => 'hackernews',
							'hi5' => 'hi5',
							'hypemachine' => 'hypemachine',
							'hyves' => 'hyves',
							'icloud' => 'icloud',
							'icq' => 'icq',
							'identica' => 'identica',
							'instapaper' => 'instapaper',
							'itunes' => 'itunes',
							'kik' => 'kik',
							'krop' => 'krop',
							'last.fm' => 'last.fm',
							'linkedin' => 'linkedin',
							'livejournal' => 'livejournal',
							'lovedsgn' => 'lovedsgn',
							'meetup' => 'meetup',
							'metacafe' => 'metacafe',
							'mixx' => 'mixx',
							'myspace' => 'myspace',
							'newsvine' => 'newsvine',
							'ning' => 'ning',
							'official.fm' => 'official.fm',
							'openid' => 'openid',
							'orkut' => 'orkut',
							'path' => 'path',
							'paypal' => 'paypal',
							'photobucket' => 'photobucket',
							'picassa' => 'picassa',
							'pinboard' => 'pinboard',
							'pinterest' => 'pinterest',
							'playstation' => 'playstation',
							'plixi' => 'plixi',
							'plurk' => 'plurk',
							'podcast' => 'podcast',
							'posterous' => 'posterous',
							'purevolume' => 'purevolume',
							'quik' => 'quik',
							'quora' => 'quora',
							'rdio' => 'rdio',
							'readernaut' => 'readernaut',
							'reddit' => 'reddit',
							'retweet' => 'retweet',
							'rss' => 'rss',
							'sharethis' => 'sharethis',
							'scribd' => 'scribd',
							'simplenote' => 'simplenote',
							'skype' => 'skype',
							'slashdot' => 'slashdot',
							'slideshare' => 'slideshare',
							'smugmug' => 'smugmug',
							'soundcloud' => 'soundcloud',
							'spotify' => 'spotify',
							'squarespace' => 'squarespace',
							'squidoo' => 'squidoo',
							'steam' => 'steam',
							'stumbleupon' => 'stumbleupon',
							'technorati' => 'technorati',
							'thefancy' => 'thefancy',
							'tribe' => 'tribe',
							'tripit' => 'tripit',
							'tumblr' => 'tumblr',
							'twitter' => 'twitter',
							'vcard' => 'vcard',
							'viddler' => 'viddler',
							'vimeo' => 'vimeo',
							'virb' => 'virb',
							'w3' => 'w3',
							'whatsapp' => 'whatsapp',
							'wikipedia' => 'wikipedia',
							'windows' => 'windows',
							'wists' => 'wists',
							'wordpress' => 'wordpress',
							'yahoo buzz' => 'yahoo buzz',
							'yahoo' => 'yahoo',
							'yelp' => 'yelp',
							'Yahoo Messanger' => 'Yahoo Messanger',
							'youtube' => 'youtube',
							'zerply' => 'zerply',
							'zynga' => 'zynga',
						),
						'default_value' => '',
						'allow_null' => 0,
						'multiple' => 0,
					),
					array (
						'key' => 'field_51cf55a5ef4b9',
						'label' => 'Link',
						'name' => 'link',
						'type' => 'text',
						'instructions' => 'Paste the appropriate URL to your social network profile page.',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'table',
				'button_label' => 'Add Social Network',
			),
			array (
				'key' => 'field_5203254ac3e57',
				'label' => 'Social Media Footer',
				'name' => 'social_media_footer',
				'type' => 'repeater',
				'instructions' => 'The most complete social icon font set ever. Choose your social networks, add the link and order as your please! These icons will display <strong>in the footer</strong>',
				'sub_fields' => array (
					array (
						'key' => 'field_5203254ac3e58',
						'label' => 'Social Network',
						'name' => 'social_network',
						'type' => 'select',
						'column_width' => '',
						'choices' => array (
							'Select...' => 'Select...',
							'px' => '500px',
							'aim' => 'aim',
							'amazon' => 'amazon',
							'android' => 'android',
							'app stote' => 'app stote',
							'apple' => 'apple',
							'arto' => 'arto',
							'badoo' => 'badoo',
							'bandcamp' => 'bandcamp',
							'basecamp' => 'basecamp',
							'bebo' => 'bebo',
							'behance' => 'behance',
							'bing' => 'bing',
							'blip' => 'blip',
							'blogger' => 'blogger',
							'boxnet' => 'boxnet',
							'brightkite' => 'brightkite',
							'cinch' => 'cinch',
							'coroflot' => 'coroflot',
							'dailybooth' => 'dailybooth',
							'dailyburn' => 'dailyburn',
							'dailymile' => 'dailymile',
							'delicious' => 'delicious',
							'designbump' => 'designbump',
							'designfloat' => 'designfloat',
							'designmoo' => 'designmoo',
							'deviantart' => 'deviantart',
							'digg' => 'digg',
							'diigo' => 'diigo',
							'dribbble' => 'dribbble',
							'dropbox' => 'dropbox',
							'drupal' => 'drupal',
							'dzone' => 'dzone',
							'ebay' => 'ebay',
							'ember' => 'ember',
							'envato' => 'envato',
							'etsy' => 'etsy',
							'evernote' => 'evernote',
							'facebook places' => 'facebook places',
							'facebook' => 'facebook',
							'facto.me' => 'facto.me',
							'feedburner' => 'feedburner',
							'flickr' => 'flickr',
							'folkd' => 'folkd',
							'formspring' => 'formspring',
							'forrst' => 'forrst',
							'fotolog' => 'fotolog',
							'foursquare' => 'foursquare',
							'freshbooks' => 'freshbooks',
							'friendfeed' => 'friendfeed',
							'friendster' => 'friendster',
							'gdgt' => 'gdgt',
							'gimmebar' => 'gimmebar',
							'github' => 'github',
							'goodreads' => 'goodreads',
							'google buzz' => 'google buzz',
							'google talk' => 'google talk',
							'google' => 'google',
							'googleplay' => 'googleplay',
							'googleplus' => 'googleplus',
							'gowalla' => 'gowalla',
							'grooveshark' => 'grooveshark',
							'hackernews' => 'hackernews',
							'hi5' => 'hi5',
							'hypemachine' => 'hypemachine',
							'hyves' => 'hyves',
							'icloud' => 'icloud',
							'icq' => 'icq',
							'identica' => 'identica',
							'instapaper' => 'instapaper',
							'itunes' => 'itunes',
							'kik' => 'kik',
							'krop' => 'krop',
							'last.fm' => 'last.fm',
							'linkedin' => 'linkedin',
							'livejournal' => 'livejournal',
							'lovedsgn' => 'lovedsgn',
							'meetup' => 'meetup',
							'metacafe' => 'metacafe',
							'mixx' => 'mixx',
							'myspace' => 'myspace',
							'newsvine' => 'newsvine',
							'ning' => 'ning',
							'official.fm' => 'official.fm',
							'openid' => 'openid',
							'orkut' => 'orkut',
							'path' => 'path',
							'paypal' => 'paypal',
							'photobucket' => 'photobucket',
							'picassa' => 'picassa',
							'pinboard' => 'pinboard',
							'pinterest' => 'pinterest',
							'playstation' => 'playstation',
							'plixi' => 'plixi',
							'plurk' => 'plurk',
							'podcast' => 'podcast',
							'posterous' => 'posterous',
							'purevolume' => 'purevolume',
							'quik' => 'quik',
							'quora' => 'quora',
							'rdio' => 'rdio',
							'readernaut' => 'readernaut',
							'reddit' => 'reddit',
							'retweet' => 'retweet',
							'rss' => 'rss',
							'sharethis' => 'sharethis',
							'scribd' => 'scribd',
							'simplenote' => 'simplenote',
							'skype' => 'skype',
							'slashdot' => 'slashdot',
							'slideshare' => 'slideshare',
							'smugmug' => 'smugmug',
							'soundcloud' => 'soundcloud',
							'spotify' => 'spotify',
							'squarespace' => 'squarespace',
							'squidoo' => 'squidoo',
							'steam' => 'steam',
							'stumbleupon' => 'stumbleupon',
							'technorati' => 'technorati',
							'thefancy' => 'thefancy',
							'tribe' => 'tribe',
							'tripit' => 'tripit',
							'tumblr' => 'tumblr',
							'twitter' => 'twitter',
							'vcard' => 'vcard',
							'viddler' => 'viddler',
							'vimeo' => 'vimeo',
							'virb' => 'virb',
							'w3' => 'w3',
							'whatsapp' => 'whatsapp',
							'wikipedia' => 'wikipedia',
							'windows' => 'windows',
							'wists' => 'wists',
							'wordpress' => 'wordpress',
							'yahoo buzz' => 'yahoo buzz',
							'yahoo' => 'yahoo',
							'yelp' => 'yelp',
							'Yahoo Messanger' => 'Yahoo Messanger',
							'youtube' => 'youtube',
							'zerply' => 'zerply',
							'zynga' => 'zynga',
						),
						'default_value' => '',
						'allow_null' => 0,
						'multiple' => 0,
					),
					array (
						'key' => 'field_5203254ac3e59',
						'label' => 'Link',
						'name' => 'link',
						'type' => 'text',
						'instructions' => 'Paste the appropriate URL to your social network profile page.',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'table',
				'button_label' => 'Add Social Network',
			),
			array (
				'key' => 'field_51e1af8e760a7',
				'label' => 'Advanced Options',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_5254db9243a8b',
				'label' => 'Comments on Pages',
				'name' => 'comments_on_pages',
				'type' => 'radio',
				'instructions' => 'Select whether you would like to display comments for pages. Typically comments do not display on WordPress pages.',
				'choices' => array (
					'Yes' => 'Yes',
					'No' => 'No',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'No',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_51e1af9c760a8',
				'label' => 'Single Post Sidebar',
				'name' => 'single_post_sidebar',
				'type' => 'radio',
				'instructions' => 'Select which sidebar preference you would like for your news section from the options below.',
				'choices' => array (
					'Right' => 'Right',
					'Left' => 'Left',
					'None' => 'None',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => '',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_51e1afdc760a9',
				'label' => 'Archive Sidebar',
				'name' => 'archive_sidebar',
				'type' => 'radio',
				'instructions' => 'Select which sidebar preference you would like for your news archive (tags, categories) from the options below.',
				'choices' => array (
					'Right' => 'Right',
					'Left' => 'Left',
					'None' => 'None',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'Right',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_51e1affe760aa',
				'label' => 'Disable Testimonials',
				'name' => 'disable_testimonials',
				'type' => 'radio',
				'instructions' => 'This will deregister the Testimonials post type.',
				'choices' => array (
					'Yes' => 'Yes',
					'No' => 'No',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'No',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_51e1b020760ab',
				'label' => 'Disable Staff',
				'name' => 'disable_staff',
				'type' => 'radio',
				'instructions' => 'This will deregister the Staff post type.',
				'choices' => array (
					'Yes' => 'Yes',
					'No' => 'No',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'No',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_51e8eb1f3b0fd',
				'label' => 'Google Analytics Code',
				'name' => 'google_analytics_code',
				'type' => 'text',
				'instructions' => 'Enter the UA-XXXXX-Y from your Google Analytics tracking code.',
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_51edc9be54f6c',
				'label' => 'Custom CSS',
				'name' => 'custom_css',
				'type' => 'textarea',
				'instructions' => 'If you would like to add some minor CSS to the theme you may add it below. Styles are outputted in the document head; do not include style tags.',
				'default_value' => '',
				'placeholder' => '',
				'maxlength' => '',
				'formatting' => 'html',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'options_page',
					'operator' => '==',
					'value' => 'acf-options',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_traditional-menu-information',
		'title' => 'Traditional Menu Information',
		'fields' => array (
			array (
				'key' => 'field_51e855b2ec9f0',
				'label' => 'Left Column',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_51e855b2ebaa1',
				'label' => 'Menu Items',
				'name' => 'menu_items_left',
				'type' => 'repeater',
				'instructions' => 'Add menu items to this page.',
				'sub_fields' => array (
					array (
						'key' => 'field_51e6476b132d6',
						'label' => 'Menu Section Heading',
						'name' => 'menu_section_heading',
						'type' => 'text',
						'instructions' => 'The section heading for these menu items.',
						'column_width' => '',
						'default_value' => '',
						'formatting' => 'html',
						'maxlength' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
					),
					array (
						'key' => 'field_51e64793132d7',
						'label' => 'Menu Section Items',
						'name' => 'menu_section_items',
						'type' => 'relationship',
						'column_width' => '',
						'post_type' => array (
							0 => 'menu',
						),
						'taxonomy' => array (
							0 => 'all',
						),
						'filters' => array (
							0 => 'search',
						),
						'result_elements' => array (
							0 => 'post_title',
						),
						'max' => '',
						'return_format' => 'object',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add Menu Section',
			),
			array (
				'key' => 'field_51e855b2e937e',
				'label' => 'Right Column',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_51e855b2e857e',
				'label' => 'Menu Items',
				'name' => 'menu_items_right',
				'type' => 'repeater',
				'instructions' => 'Add menu items to this page.',
				'sub_fields' => array (
					array (
						'key' => 'field_51e78bd04ebc5',
						'label' => 'Menu Section Heading',
						'name' => 'menu_section_heading',
						'type' => 'text',
						'instructions' => 'The section heading for these menu items.',
						'column_width' => '',
						'default_value' => '',
						'formatting' => 'html',
						'maxlength' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
					),
					array (
						'key' => 'field_51e78bd04ebc6',
						'label' => 'Menu Section Items',
						'name' => 'menu_section_items',
						'type' => 'relationship',
						'column_width' => '',
						'post_type' => array (
							0 => 'menu',
						),
						'taxonomy' => array (
							0 => 'all',
						),
						'filters' => array (
							0 => 'search',
						),
						'result_elements' => array (
							0 => 'post_title',
						),
						'max' => '',
						'return_format' => 'object',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add Menu Section',
			),
			array (
				'key' => 'field_51e855b2ead4e',
				'label' => 'Options',
				'name' => '',
				'type' => 'tab',
			),
			array (
				'key' => 'field_51e855b2ea00a',
				'label' => 'Menu Color',
				'name' => 'menu_color',
				'type' => 'color_picker',
				'instructions' => 'Select a color for this booklet theme.',
				'default_value' => '#e6b741',
			),
			array (
				'key' => 'field_51e855b2e41ea',
				'label' => 'Display Prices?',
				'name' => 'display_prices',
				'type' => 'radio',
				'instructions' => 'Would you like to display prices on this menu?',
				'choices' => array (
					'Yes' => 'Yes',
					'No' => 'No',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'Yes',
				'layout' => 'vertical',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-menu-traditional-1.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
				0 => 'the_content',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_video-information',
		'title' => 'Video Information',
		'fields' => array (
			array (
				'key' => 'field_51e89acac67db',
				'label' => 'Video Embed',
				'name' => 'video_embed',
				'type' => 'textarea',
				'instructions' => 'Paste the video embed code from YouTube, Vimeo, etc.',
				'required' => 1,
				'default_value' => '',
				'formatting' => 'html',
				'maxlength' => '',
				'placeholder' => '',
			),
			array (
				'key' => 'field_51e8b0d43727e',
				'label' => 'Content',
				'name' => 'content',
				'type' => 'wysiwyg',
				'default_value' => '',
				'toolbar' => 'full',
				'media_upload' => 'yes',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'post',
					'order_no' => 0,
					'group_no' => 0,
				),
				array (
					'param' => 'post_format',
					'operator' => '==',
					'value' => 'video',
					'order_no' => 1,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
				0 => 'the_content',
			),
		),
		'menu_order' => 0,
	));
	register_field_group(array (
		'id' => 'acf_contact-information',
		'title' => 'Contact Information',
		'fields' => array (
			array (
				'key' => 'field_51df6bd8d2822',
				'label' => 'Display Google Map',
				'name' => 'display_google_map',
				'type' => 'radio',
				'instructions' => 'Would you like to display the full-width Google Map in the header of this contact page?',
				'required' => 1,
				'choices' => array (
					'Yes' => 'Yes',
					'No' => 'No',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'Yes',
				'layout' => 'horizontal',
			),
			array (
				'key' => 'field_51df6736ae725',
				'label' => 'Locations',
				'name' => 'locations',
				'type' => 'repeater',
				'instructions' => 'Add location markers to your Contact page Google Map',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51df6bd8d2822',
							'operator' => '==',
							'value' => 'Yes',
						),
					),
					'allorany' => 'all',
				),
				'sub_fields' => array (
					array (
						'key' => 'field_51df70df03558',
						'label' => 'Location',
						'name' => 'location',
						'type' => 'location-field',
						'column_width' => '',
						'val' => 'address',
						'center' => '48.856614,2.3522219000000177',
						'zoom' => 10,
						'scrollwheel' => 0,
					),
					array (
						'key' => 'field_51df77c968383',
						'label' => 'Location Marker Content',
						'name' => 'location_marker_content',
						'type' => 'textarea',
						'instructions' => 'Add content to display in the marker window.',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'maxlength' => '',
						'formatting' => 'br',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add Location',
			),
			array (
				'key' => 'field_51df79001d0b8',
				'label' => '',
				'name' => '',
				'type' => 'message',
				'message' => '<style>.composer-switch { display:none; } </style>',
			),
			array (
				'key' => 'field_521bc85b663e9',
				'label' => 'Customize Page Header',
				'name' => 'customize_page_header_background',
				'type' => 'select',
				'instructions' => 'Select whether you would like to customize this page header. If none is selected, the default option will be displayed.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51df6bd8d2822',
							'operator' => '==',
							'value' => 'No',
						),
					),
					'allorany' => 'all',
				),
				'choices' => array (
					'Select...' => 'Select...',
					'Image' => 'Image',
					'Color' => 'Color',
					'None' => 'None',
					'LayerSlider' => 'LayerSlider',
				),
				'default_value' => '',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_521bc890663ea',
				'label' => 'Custom Header Image',
				'name' => 'custom_header_image',
				'type' => 'image',
				'instructions' => 'Upload or select and image from the Media Library for this page. If none is selected the default will be displayed. Ignore this option if you are using a color rather than image.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51df6bd8d2822',
							'operator' => '==',
							'value' => 'No',
						),
						array (
							'field' => 'field_521bc85b663e9',
							'operator' => '==',
							'value' => 'Image',
						),
					),
					'allorany' => 'all',
				),
				'save_format' => 'url',
				'preview_size' => 'large',
				'library' => 'all',
			),
			array (
				'key' => 'field_521bc8e1663eb',
				'label' => 'Custom Header Background Color',
				'name' => 'custom_header_background_color',
				'type' => 'color_picker',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51df6bd8d2822',
							'operator' => '==',
							'value' => 'No',
						),
						array (
							'field' => 'field_521bc85b663e9',
							'operator' => '==',
							'value' => 'Color',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
			),
			array (
				'key' => 'field_521bc906663ec',
				'label' => 'Custom Heading',
				'name' => 'custom_heading',
				'type' => 'text',
				'instructions' => 'Provide a custom heading. If none is provided the page title will display.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_521bc85b663e9',
							'operator' => '!=',
							'value' => 'None',
						),
						array (
							'field' => 'field_51df6bd8d2822',
							'operator' => '==',
							'value' => 'No',
						),
					),
					'allorany' => 'any',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_521bc9698ac12',
				'label' => 'LayerSlider ID',
				'name' => 'layerslider_id',
				'type' => 'text',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51df6bd8d2822',
							'operator' => '==',
							'value' => 'No',
						),
						array (
							'field' => 'field_521bc85b663e9',
							'operator' => '==',
							'value' => 'LayerSlider',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => 'ID=',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-contact.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'acf_after_title',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 1,
	));
	register_field_group(array (
		'id' => 'acf_gallery-information',
		'title' => 'Gallery Information',
		'fields' => array (
			array (
				'key' => 'field_523c1301e0023',
				'label' => 'Columns',
				'name' => 'columns',
				'type' => 'select',
				'choices' => array (
					2 => 2,
					3 => 3,
					4 => 4,
					5 => 5,
				),
				'default_value' => 4,
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_523c152f93df1',
				'label' => 'Image Sets',
				'name' => 'galleries',
				'type' => 'repeater',
				'sub_fields' => array (
					array (
						'key' => 'field_523c155093df2',
						'label' => 'Category',
						'name' => 'category',
						'type' => 'text',
						'instructions' => 'Provide a title for this gallery for sorting purposes.',
						'column_width' => '',
						'default_value' => '',
						'placeholder' => '',
						'prepend' => '',
						'append' => '',
						'formatting' => 'html',
						'maxlength' => '',
					),
					array (
						'key' => 'field_523c157393df3',
						'label' => 'Images',
						'name' => 'images',
						'type' => 'gallery',
						'instructions' => 'Upload or select images for this gallery.',
						'column_width' => '',
						'preview_size' => 'thumbnail',
						'library' => 'all',
					),
				),
				'row_min' => 0,
				'row_limit' => '',
				'layout' => 'row',
				'button_label' => 'Add Gallery',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-gallery-isotope.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-gallery-pile.php',
					'order_no' => 0,
					'group_no' => 1,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
				0 => 'the_content',
				1 => 'excerpt',
			),
		),
		'menu_order' => 1,
	));
	register_field_group(array (
		'id' => 'acf_page-information',
		'title' => 'Page Information',
		'fields' => array (
			array (
				'key' => 'field_51dec69d62806',
				'label' => 'Message',
				'name' => '',
				'type' => 'message',
				'message' => 'This page is using a template that pulls in content dynamically. The visual and content editor has been disabled for this template. <style>.composer-switch { display:none; } </style>',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-blog.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-blog-masonry.php',
					'order_no' => 0,
					'group_no' => 1,
				),
			),
		),
		'options' => array (
			'position' => 'normal',
			'layout' => 'default',
			'hide_on_screen' => array (
				0 => 'the_content',
				1 => 'excerpt',
				2 => 'custom_fields',
				3 => 'discussion',
				4 => 'comments',
				5 => 'revisions',
				6 => 'author',
				7 => 'format',
				8 => 'featured_image',
				9 => 'categories',
				10 => 'tags',
				11 => 'send-trackbacks',
			),
		),
		'menu_order' => 1,
	));
	register_field_group(array (
		'id' => 'acf_page-header',
		'title' => 'Page Header',
		'fields' => array (
			array (
				'key' => 'field_51d2479e19833',
				'label' => 'Customize Page Header',
				'name' => 'customize_page_header_background',
				'type' => 'select',
				'instructions' => 'Select whether you would like to customize this page header. If none is selected, the default option will be displayed.',
				'choices' => array (
					'Select...' => 'Select...',
					'Image' => 'Image',
					'Color' => 'Color',
					'LayerSlider' => 'LayerSlider',
					'None' => 'None',
				),
				'default_value' => '',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_51d242d7c303b',
				'label' => 'Customize Header Image',
				'name' => 'custom_header_image',
				'type' => 'image',
				'instructions' => 'Upload or select and image from the Media Library for this page. If none is selected the default will be displayed. 1480 x 325 is a nice size to use for the header image.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51d2479e19833',
							'operator' => '==',
							'value' => 'Image',
						),
					),
					'allorany' => 'all',
				),
				'save_format' => 'url',
				'preview_size' => 'large',
				'library' => 'all',
			),
			array (
				'key' => 'field_51d2481519834',
				'label' => 'Custom Header Background Color',
				'name' => 'custom_header_background_color',
				'type' => 'color_picker',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51d2479e19833',
							'operator' => '==',
							'value' => 'Color',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
			),
			array (
				'key' => 'field_51d24360c303c',
				'label' => 'Custom Page Heading',
				'name' => 'custom_heading',
				'type' => 'text',
				'instructions' => 'Optional: provide a custom page heading. If none is provided the page title will display.',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51d2479e19833',
							'operator' => '!=',
							'value' => 'None',
						),
						array (
							'field' => 'field_51d2479e19833',
							'operator' => '!=',
							'value' => 'LayerSlider',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
			array (
				'key' => 'field_5216cf24f2fe6',
				'label' => 'LayerSlider ID',
				'name' => 'layerslider_id',
				'type' => 'text',
				'conditional_logic' => array (
					'status' => 1,
					'rules' => array (
						array (
							'field' => 'field_51d2479e19833',
							'operator' => '==',
							'value' => 'LayerSlider',
						),
					),
					'allorany' => 'all',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => 'ID=',
				'append' => '',
				'formatting' => 'html',
				'maxlength' => '',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'page',
					'order_no' => 0,
					'group_no' => 0,
				),
				array (
					'param' => 'page_template',
					'operator' => '!=',
					'value' => 'template-contact.php',
					'order_no' => 1,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'acf_after_title',
			'layout' => 'default',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 2,
	));
	register_field_group(array (
		'id' => 'acf_sidebar-options',
		'title' => 'Sidebar Options',
		'fields' => array (
			array (
				'key' => 'field_51e1a82aeb5bc',
				'label' => 'Sidebar Option',
				'name' => 'sidebar_option',
				'type' => 'radio',
				'instructions' => 'Select your sidebar preference.',
				'choices' => array (
					'Right' => 'Right',
					'Left' => 'Left',
					'None' => 'None',
				),
				'other_choice' => 0,
				'save_other_choice' => 0,
				'default_value' => 'Right',
				'layout' => 'vertical',
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'page_template',
					'operator' => '==',
					'value' => 'template-blog.php',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'side',
			'layout' => 'default',
			'hide_on_screen' => array (
				0 => 'featured_image',
			),
		),
		'menu_order' => 8,
	));
}
